# Interface GeneratedPersistentModifierType

interface GeneratedPersistentModifierType {
getPregenArgs (): any[];
}

#### Implemented by

- AttackTypeBoosterModifierType
- BerryModifierType
- EvolutionItemModifierType
- FormChangeItemModifierType
- PokemonBaseStatBoosterModifierType
- TempBattleStatBoosterModifierType
- TerastallizeModifierType

- Defined in src/modifier/modifier-type.ts:143

#####
Index

### Methods

getPregenArgs

## Methods

### getPregenArgs

- getPregenArgs(): any[]

- #### Returns any[]

  - Defined in src/modifier/modifier-type.ts:144